Bug 880263 - DMError: partition activation failed for 'mpatha'
DMError: partition activation failed for 'mpatha'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
ppc64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
AcceptedBlocker
:
: 883736 (view as bug list)
Depends On:
Blocks: F18Blocker/F18FinalBlocker F18Blockerppc
  Show dependency treegraph
 
Reported: 2012-11-26 10:22 EST by Mark Hamzy
Modified: 2012-12-20 00:32 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 00:32:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
current traceback (193.13 KB, text/plain)
2012-11-26 10:22 EST, Mark Hamzy
no flags Details
anaconda.log (1.75 KB, text/plain)
2012-11-26 10:23 EST, Mark Hamzy
no flags Details
storage.log (95.66 KB, text/plain)
2012-11-26 10:23 EST, Mark Hamzy
no flags Details
program.log (12.37 KB, text/plain)
2012-11-26 10:24 EST, Mark Hamzy
no flags Details
syslog (253.23 KB, text/plain)
2012-11-26 10:25 EST, Mark Hamzy
no flags Details

  None (edit)
Description Mark Hamzy 2012-11-26 10:22:32 EST
Created attachment 652004 [details]
current traceback

Installing with http://ppc.koji.fedoraproject.org/stage/f18-20121122-Beta-RC1.3/iso/Fedora-18-Beta-ppc64-DVD.iso

I see:

Pane is dead

on the ssh screen.

There is a traceback file with the following in it:

anaconda 18.29.2 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 1766, in setupPartitions
    raise DMError("partition activation failed for '%s'" % self.name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 3315, in _postSetup
    self.setupPartitions()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 716, in setup
    self._postSetup()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1907, in _populate
    mp.setup()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1846, in populate
    self._populate()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 441, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 147, in storageInitialize
    storage.reset()
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
    threading.Thread.run(self, *args, **kwargs)
DMError: partition activation failed for 'mpatha'
Comment 1 Mark Hamzy 2012-11-26 10:23:10 EST
Created attachment 652005 [details]
anaconda.log
Comment 2 Mark Hamzy 2012-11-26 10:23:43 EST
Created attachment 652006 [details]
storage.log
Comment 3 Mark Hamzy 2012-11-26 10:24:13 EST
Created attachment 652008 [details]
program.log
Comment 4 Mark Hamzy 2012-11-26 10:25:00 EST
Created attachment 652012 [details]
syslog
Comment 5 Mark Hamzy 2012-11-26 11:20:24 EST
[anaconda root@riley6 ~]# dmsetup ls --target multipath
[anaconda root@riley6 ~]# multipath -v3
Nov 26 16:17:25 | loading /lib64/multipath/libcheckdirectio.so checker
Nov 26 16:17:25 | loading /lib64/multipath/libprioconst.so prioritizer
Nov 26 16:17:25 | sr0: device node name blacklisted
Nov 26 16:17:25 | sda: not found in pathvec
Nov 26 16:17:25 | sda: mask = 0x1f
Nov 26 16:17:25 | sda: dev_t = 8:0
Nov 26 16:17:25 | sda: size = 31457280
Nov 26 16:17:25 | sda: vendor = IBM     
Nov 26 16:17:25 | sda: product = 2145            
Nov 26 16:17:25 | sda: rev = 0000
Nov 26 16:17:25 | sda: h:b:t:l = 1:0:6:0
Nov 26 16:17:25 | sda: tgt_node_name = 0x50050768020075fe
Nov 26 16:17:25 | sda: path state = running
Nov 26 16:17:25 | sda: 15360 cyl, 64 heads, 32 sectors/track, start at 0
Nov 26 16:17:25 | sda: serial = 0200a0409b5aXX00
Nov 26 16:17:25 | sda: get_state
Nov 26 16:17:25 | loading /lib64/multipath/libchecktur.so checker
Nov 26 16:17:25 | sda: path checker = tur (controller setting)
Nov 26 16:17:25 | sdb: get_state
Nov 26 16:17:25 | sdb: path checker = tur (controller setting)
Nov 26 16:17:25 | sdb: checker timeout = 30000 ms (sysfs setting)
Nov 26 16:17:25 | sdb: state = up
Nov 26 16:17:25 | sdb: uid_attribute = ID_SERIAL (internal default)
Nov 26 16:17:25 | sdb: uid = 3600507680281026d6800000000000001 (udev)
Nov 26 16:17:25 | sdb: detect_prio = 1 (config file default)
Nov 26 16:17:25 | sdb: prio = alua (controller setting)
Nov 26 16:17:25 | sdb: prio args = (null) (controller setting)
Nov 26 16:17:25 | reported target port group is 1
Nov 26 16:17:25 | aas = 01 [active/non-optimized]
Nov 26 16:17:25 | sdb: alua prio = 10
Nov 26 16:17:25 | sdc: not found in pathvec
Nov 26 16:17:25 | sdc: mask = 0x1f
Nov 26 16:17:25 | sdc: dev_t = 8:32
Nov 26 16:17:25 | sdc: size = 31457280
Nov 26 16:17:25 | sdc: vendor = IBM     
Nov 26 16:17:25 | sdc: product = 2145            
Nov 26 16:17:25 | sdc: rev = 0000
Nov 26 16:17:25 | sdc: h:b:t:l = 2:0:6:0
Nov 26 16:17:25 | sdc: tgt_node_name = 0x50050768020075fe
Nov 26 16:17:25 | sdc: path state = running
Nov 26 16:17:25 | sdc: 15360 cyl, 64 heads, 32 sectors/track, start at 0
Nov 26 16:17:25 | sdc: serial = 0200a0409b5aXX00
Nov 26 16:17:25 | sdc: get_state
Nov 26 16:17:25 | sdc: path checker = tur (controller setting)
Nov 26 16:17:25 | sdc: checker timeout = 30000 ms (sysfs setting)
Nov 26 16:17:25 | sdc: state = up
Nov 26 16:17:25 | sdc: uid_attribute = ID_SERIAL (internal default)
Nov 26 16:17:25 | sdc: uid = 3600507680281026d6800000000000001 (udev)
Nov 26 16:17:25 | sdc: detect_prio = 1 (config file default)
Nov 26 16:17:25 | sdc: prio = alua (controller setting)
Nov 26 16:17:25 | sdc: prio args = (null) (controller setting)
Nov 26 16:17:25 | reported target port group is 0
Nov 26 16:17:25 | aas = 00 [active/optimized]
Nov 26 16:17:25 | sdc: alua prio = 50
Nov 26 16:17:25 | sdd: not found in pathvec
Nov 26 16:17:25 | sdd: mask = 0x1f
Nov 26 16:17:25 | sdd: dev_t = 8:48
Nov 26 16:17:25 | sdd: size = 31457280
Nov 26 16:17:25 | sdd: vendor = IBM     
Nov 26 16:17:25 | sdd: product = 2145            
Nov 26 16:17:25 | sdd: rev = 0000
Nov 26 16:17:25 | sdd: h:b:t:l = 2:0:7:0
Nov 26 16:17:25 | sdd: tgt_node_name = 0x50050768020075ff
Nov 26 16:17:25 | sdd: path state = running
Nov 26 16:17:25 | sdd: 15360 cyl, 64 heads, 32 sectors/track, start at 0
Nov 26 16:17:25 | sdd: serial = 0200a0409b5aXX00
Nov 26 16:17:25 | sdd: get_state
Nov 26 16:17:25 | sdd: path checker = tur (controller setting)
Nov 26 16:17:25 | sdd: checker timeout = 30000 ms (sysfs setting)
Nov 26 16:17:25 | sdd: state = up
Nov 26 16:17:25 | sdd: uid_attribute = ID_SERIAL (internal default)
Nov 26 16:17:25 | sdd: uid = 3600507680281026d6800000000000001 (udev)
Nov 26 16:17:25 | sdd: detect_prio = 1 (config file default)
Nov 26 16:17:25 | sdd: prio = alua (controller setting)
Nov 26 16:17:25 | sdd: prio args = (null) (controller setting)
Nov 26 16:17:25 | reported target port group is 1
Nov 26 16:17:25 | aas = 01 [active/non-optimized]
Nov 26 16:17:25 | sdd: alua prio = 10
Nov 26 16:17:25 | loop0: device node name blacklisted
Nov 26 16:17:25 | loop1: device node name blacklisted
Nov 26 16:17:25 | loop2: device node name blacklisted
Nov 26 16:17:25 | loop3: device node name blacklisted
Nov 26 16:17:25 | loop4: device node name blacklisted
Nov 26 16:17:25 | loop5: device node name blacklisted
Nov 26 16:17:25 | loop6: device node name blacklisted
Nov 26 16:17:25 | loop7: device node name blacklisted
Nov 26 16:17:25 | dm-0: device node name blacklisted
Nov 26 16:17:25 | dm-1: device node name blacklisted
Nov 26 16:17:25 | dm-2: device node name blacklisted
===== paths list =====
uuid                              hcil    dev dev_t pri dm_st chk_st vend/prod
3600507680281026d6800000000000001 1:0:6:0 sda 8:0   50  undef ready  IBM     ,
3600507680281026d6800000000000001 1:0:7:0 sdb 8:16  10  undef ready  IBM     ,
3600507680281026d6800000000000001 2:0:6:0 sdc 8:32  50  undef ready  IBM     ,
3600507680281026d6800000000000001 2:0:7:0 sdd 8:48  10  undef ready  IBM     ,
Nov 26 16:17:25 | 3600507680281026d6800000000000001: alias_prefix = mpath (internal default)
Nov 26 16:17:25 | Found matching wwid [3600507680281026d6800000000000001] in bindings file. Setting alias to mpatha
Nov 26 16:17:25 | sda: ownership set to mpatha
Nov 26 16:17:25 | sda: not found in pathvec
Nov 26 16:17:25 | sda: mask = 0xc
Nov 26 16:17:25 | sda: path state = running
Nov 26 16:17:25 | sda: get_state
Nov 26 16:17:25 | sda: state = up
Nov 26 16:17:25 | reported target port group is 0
Nov 26 16:17:25 | aas = 00 [active/optimized]
Nov 26 16:17:25 | sda: alua prio = 50
Nov 26 16:17:25 | sdb: ownership set to mpatha
Nov 26 16:17:25 | sdb: not found in pathvec
Nov 26 16:17:25 | sdb: mask = 0xc
Nov 26 16:17:25 | sdb: path state = running
Nov 26 16:17:25 | sdb: get_state
Nov 26 16:17:25 | sdb: state = up
Nov 26 16:17:25 | reported target port group is 1
Nov 26 16:17:25 | aas = 01 [active/non-optimized]
Nov 26 16:17:25 | sdb: alua prio = 10
Nov 26 16:17:25 | sdc: ownership set to mpatha
Nov 26 16:17:25 | sdc: not found in pathvec
Nov 26 16:17:25 | sdc: mask = 0xc
Nov 26 16:17:25 | sdc: path state = running
Nov 26 16:17:25 | sdc: get_state
Nov 26 16:17:25 | sdc: state = up
Nov 26 16:17:25 | reported target port group is 0
Nov 26 16:17:25 | aas = 00 [active/optimized]
Nov 26 16:17:25 | sdc: alua prio = 50
Nov 26 16:17:25 | sdd: ownership set to mpatha
Nov 26 16:17:25 | sdd: not found in pathvec
Nov 26 16:17:25 | sdd: mask = 0xc
Nov 26 16:17:25 | sdd: path state = running
Nov 26 16:17:25 | sdd: get_state
Nov 26 16:17:25 | sdd: state = up
Nov 26 16:17:25 | reported target port group is 1
Nov 26 16:17:25 | aas = 01 [active/non-optimized]
Nov 26 16:17:25 | sdd: alua prio = 10
Nov 26 16:17:25 | mpatha: pgfailback = -2 (controller setting)
Nov 26 16:17:25 | mpatha: pgpolicy = group_by_prio (controller setting)
Nov 26 16:17:25 | mpatha: selector = service-time 0 (internal default)
Nov 26 16:17:25 | mpatha: features = 1 queue_if_no_path (controller setting)
Nov 26 16:17:25 | mpatha: hwhandler = 0 (controller setting)
Nov 26 16:17:25 | mpatha: rr_weight = 1 (controller setting)
Nov 26 16:17:25 | mpatha: minio = 1 rq (controller setting)
Nov 26 16:17:25 | mpatha: no_path_retry = -2 (inherited setting)
Nov 26 16:17:25 | mpatha: pg_timeout = NONE (internal default)
Nov 26 16:17:25 | mpatha: fast_io_fail_tmo = 5 (config file default)
Nov 26 16:17:25 | sdb: alua prio = 10
Nov 26 16:17:25 | sdc: ownership set to mpatha
Nov 26 16:17:25 | sdc: not found in pathvec
Nov 26 16:17:25 | sdc: mask = 0xc
Nov 26 16:17:25 | sdc: path state = running
Nov 26 16:17:25 | sdc: get_state
Nov 26 16:17:25 | sdc: path checker = tur (controller setting)
Nov 26 16:17:25 | sdc: checker timeout = 30000 ms (sysfs setting)
Nov 26 16:17:25 | sdc: state = up
Nov 26 16:17:25 | sdc: detect_prio = 1 (config file default)
Nov 26 16:17:25 | sdc: prio = alua (controller setting)
Nov 26 16:17:25 | sdc: prio args = (null) (controller setting)
Nov 26 16:17:25 | reported target port group is 0
Nov 26 16:17:25 | aas = 00 [active/optimized]
Nov 26 16:17:25 | sdc: alua prio = 50
Nov 26 16:17:25 | sdd: ownership set to mpatha
Nov 26 16:17:25 | sdd: not found in pathvec
Nov 26 16:17:25 | sdd: mask = 0xc
Nov 26 16:17:25 | sdd: path state = running
Nov 26 16:17:25 | sdd: get_state
Nov 26 16:17:25 | sdd: path checker = tur (controller setting)
Nov 26 16:17:25 | sdd: checker timeout = 30000 ms (sysfs setting)
Nov 26 16:17:25 | sdd: state = up
Nov 26 16:17:25 | sdd: detect_prio = 1 (config file default)
Nov 26 16:17:25 | sdd: prio = alua (controller setting)
Nov 26 16:17:25 | sdd: prio args = (null) (controller setting)
Nov 26 16:17:25 | reported target port group is 1
Nov 26 16:17:25 | aas = 01 [active/non-optimized]
Nov 26 16:17:25 | sdd: alua prio = 10
Nov 26 16:17:25 | mpatha: pgfailback = -2 (controller setting)
Nov 26 16:17:25 | mpatha: pgpolicy = group_by_prio (controller setting)
Nov 26 16:17:25 | mpatha: selector = service-time 0 (internal default)
Nov 26 16:17:25 | mpatha: features = 1 queue_if_no_path (controller setting)
Nov 26 16:17:25 | mpatha: hwhandler = 0 (controller setting)
Nov 26 16:17:25 | mpatha: rr_weight = 1 (controller setting)
Nov 26 16:17:25 | mpatha: minio = 1 rq (controller setting)
Nov 26 16:17:25 | mpatha: no_path_retry = -2 (inherited setting)
Nov 26 16:17:25 | mpatha: pg_timeout = NONE (internal default)
Nov 26 16:17:25 | mpatha: fast_io_fail_tmo = 5 (config file default)
Nov 26 16:17:25 | mpatha: retain_attached_hw_handler = 1 (config file default)
Nov 26 16:17:25 | mpatha: update dev_loss_tmo to 2147483647
Nov 26 16:17:25 | mpatha: assembled map [1 queue_if_no_path 0 2 1 service-time 0 2 1 8:0 1 8:32 1 service-time 0 2 1 8:16 1 8:48 1]
Nov 26 16:17:25 | mpatha: set ACT_CREATE (map does not exist)
Nov 26 16:17:25 | mpatha: domap (0) failure for create/reload map
Nov 26 16:17:25 | mpatha: ignoring map
Nov 26 16:17:25 | tur checker refcount 4
Nov 26 16:17:25 | tur checker refcount 3
Nov 26 16:17:25 | tur checker refcount 2
Nov 26 16:17:25 | tur checker refcount 1
Nov 26 16:17:25 | 3600507680281026d6800000000000001: alias_prefix = mpath (internal default)
Nov 26 16:17:25 | Found matching wwid [3600507680281026d6800000000000001] in bindings file. Setting alias to mpatha
Nov 26 16:17:25 | sda: ownership set to mpatha
Nov 26 16:17:25 | sda: not found in pathvec
Nov 26 16:17:25 | sda: mask = 0xc
Nov 26 16:17:25 | sda: path state = running
Nov 26 16:17:25 | sda: get_state
Nov 26 16:17:25 | sda: path checker = tur (controller setting)
Nov 26 16:17:25 | sda: checker timeout = 30000 ms (sysfs setting)
Nov 26 16:17:25 | sda: state = up
Nov 26 16:17:25 | sda: detect_prio = 1 (config file default)
Nov 26 16:17:25 | sda: prio = alua (controller setting)
Nov 26 16:17:25 | sda: prio args = (null) (controller setting)
Nov 26 16:17:25 | reported target port group is 0
Nov 26 16:17:25 | aas = 00 [active/optimized]
Nov 26 16:17:25 | sda: alua prio = 50
Nov 26 16:17:25 | sdb: ownership set to mpatha
Nov 26 16:17:25 | sdb: not found in pathvec
Nov 26 16:17:25 | sdb: mask = 0xc
Nov 26 16:17:25 | sdb: path state = running
Nov 26 16:17:25 | sdb: get_state
Nov 26 16:17:25 | sdb: path checker = tur (controller setting)
Nov 26 16:17:25 | sdb: checker timeout = 30000 ms (sysfs setting)
Nov 26 16:17:25 | sdb: state = up
Nov 26 16:17:25 | sdb: detect_prio = 1 (config file default)
Nov 26 16:17:25 | sdb: prio = alua (controller setting)
Nov 26 16:17:25 | sdb: prio args = (null) (controller setting)
Nov 26 16:17:25 | reported target port group is 1
Nov 26 16:17:25 | aas = 01 [active/non-optimized]
Nov 26 16:17:25 | sdb: alua prio = 10
Nov 26 16:17:25 | sdc: ownership set to mpatha
Nov 26 16:17:25 | sdc: not found in pathvec
Nov 26 16:17:25 | sdc: mask = 0xc
Nov 26 16:17:25 | sdc: path state = running
Nov 26 16:17:25 | sdc: get_state
Nov 26 16:17:25 | sdc: path checker = tur (controller setting)
Nov 26 16:17:25 | sdc: checker timeout = 30000 ms (sysfs setting)
Nov 26 16:17:25 | sdc: state = up
Nov 26 16:17:25 | sdc: detect_prio = 1 (config file default)
Nov 26 16:17:25 | sdc: prio = alua (controller setting)
Nov 26 16:17:25 | sdc: prio args = (null) (controller setting)
Nov 26 16:17:25 | reported target port group is 0
Nov 26 16:17:25 | aas = 00 [active/optimized]
Nov 26 16:17:25 | sdc: alua prio = 50
Nov 26 16:17:25 | sdd: ownership set to mpatha
Nov 26 16:17:25 | sdd: not found in pathvec
Nov 26 16:17:25 | sdd: mask = 0xc
Nov 26 16:17:25 | sdd: path state = running
Nov 26 16:17:25 | sdd: get_state
Nov 26 16:17:25 | sdd: path checker = tur (controller setting)
Nov 26 16:17:25 | sdd: checker timeout = 30000 ms (sysfs setting)
Nov 26 16:17:25 | sdd: state = up
Nov 26 16:17:25 | sdd: detect_prio = 1 (config file default)
Nov 26 16:17:25 | sdd: prio = alua (controller setting)
Nov 26 16:17:25 | sdd: prio args = (null) (controller setting)
Nov 26 16:17:25 | reported target port group is 1
Nov 26 16:17:25 | aas = 01 [active/non-optimized]
Nov 26 16:17:25 | sdd: alua prio = 10
Nov 26 16:17:25 | mpatha: pgfailback = -2 (controller setting)
Nov 26 16:17:25 | mpatha: pgpolicy = group_by_prio (controller setting)
Nov 26 16:17:25 | mpatha: selector = service-time 0 (internal default)
Nov 26 16:17:25 | mpatha: features = 1 queue_if_no_path (controller setting)
Nov 26 16:17:25 | mpatha: hwhandler = 0 (controller setting)
Nov 26 16:17:25 | mpatha: rr_weight = 1 (controller setting)
Nov 26 16:17:25 | mpatha: minio = 1 rq (controller setting)
Nov 26 16:17:25 | mpatha: no_path_retry = -2 (inherited setting)
Nov 26 16:17:25 | mpatha: pg_timeout = NONE (internal default)
Nov 26 16:17:25 | mpatha: fast_io_fail_tmo = 5 (config file default)
Nov 26 16:17:25 | mpatha: retain_attached_hw_handler = 1 (config file default)
Nov 26 16:17:25 | mpatha: update dev_loss_tmo to 2147483647
Nov 26 16:17:25 | mpatha: assembled map [1 queue_if_no_path 0 2 1 service-time 0 2 1 8:0 1 8:32 1 service-time 0 2 1 8:16 1 8:48 1]
Nov 26 16:17:25 | mpatha: set ACT_CREATE (map does not exist)
Nov 26 16:17:25 | mpatha: domap (0) failure for create/reload map
Nov 26 16:17:25 | mpatha: ignoring map
Nov 26 16:17:25 | tur checker refcount 4
Nov 26 16:17:25 | tur checker refcount 3
Nov 26 16:17:25 | sdb: mask = 0xc
Nov 26 16:17:25 | sdb: path state = running
Nov 26 16:17:25 | sdb: get_state
Nov 26 16:17:25 | sdb: path checker = tur (controller setting)
Nov 26 16:17:25 | sdb: checker timeout = 30000 ms (sysfs setting)
Nov 26 16:17:25 | sdb: state = up
Nov 26 16:17:25 | sdb: detect_prio = 1 (config file default)
Nov 26 16:17:25 | sdb: prio = alua (controller setting)
Nov 26 16:17:25 | sdb: prio args = (null) (controller setting)
Nov 26 16:17:25 | reported target port group is 1
Nov 26 16:17:25 | aas = 01 [active/non-optimized]
Nov 26 16:17:25 | sdb: alua prio = 10
Nov 26 16:17:25 | sdc: ownership set to mpatha
Nov 26 16:17:25 | sdc: not found in pathvec
Nov 26 16:17:25 | sdc: mask = 0xc
Nov 26 16:17:25 | sdc: path state = running
Nov 26 16:17:25 | sdc: get_state
Nov 26 16:17:25 | sdc: path checker = tur (controller setting)
Nov 26 16:17:25 | sdc: checker timeout = 30000 ms (sysfs setting)
Nov 26 16:17:25 | sdc: state = up
Nov 26 16:17:25 | sdc: detect_prio = 1 (config file default)
Nov 26 16:17:25 | sdc: prio = alua (controller setting)
Nov 26 16:17:25 | sdc: prio args = (null) (controller setting)
Nov 26 16:17:25 | reported target port group is 0
Nov 26 16:17:25 | aas = 00 [active/optimized]
Nov 26 16:17:25 | sdc: alua prio = 50
Nov 26 16:17:25 | sdd: ownership set to mpatha
Nov 26 16:17:25 | sdd: not found in pathvec
Nov 26 16:17:25 | sdd: mask = 0xc
Nov 26 16:17:25 | sdd: path state = running
Nov 26 16:17:25 | sdd: get_state
Nov 26 16:17:25 | sdd: path checker = tur (controller setting)
Nov 26 16:17:25 | sdd: checker timeout = 30000 ms (sysfs setting)
Nov 26 16:17:25 | sdd: state = up
Nov 26 16:17:25 | sdd: detect_prio = 1 (config file default)
Nov 26 16:17:25 | sdd: prio = alua (controller setting)
Nov 26 16:17:25 | sdd: prio args = (null) (controller setting)
Nov 26 16:17:25 | reported target port group is 1
Nov 26 16:17:25 | aas = 01 [active/non-optimized]
Nov 26 16:17:25 | sdd: alua prio = 10
Nov 26 16:17:25 | mpatha: pgfailback = -2 (controller setting)
Nov 26 16:17:25 | mpatha: pgpolicy = group_by_prio (controller setting)
Nov 26 16:17:25 | mpatha: selector = service-time 0 (internal default)
Nov 26 16:17:25 | mpatha: features = 1 queue_if_no_path (controller setting)
Nov 26 16:17:25 | mpatha: hwhandler = 0 (controller setting)
Nov 26 16:17:25 | mpatha: rr_weight = 1 (controller setting)
Nov 26 16:17:25 | mpatha: minio = 1 rq (controller setting)
Nov 26 16:17:25 | mpatha: no_path_retry = -2 (inherited setting)
Nov 26 16:17:25 | mpatha: pg_timeout = NONE (internal default)
Nov 26 16:17:25 | mpatha: fast_io_fail_tmo = 5 (config file default)
Nov 26 16:17:25 | mpatha: retain_attached_hw_handler = 1 (config file default)
Nov 26 16:17:25 | mpatha: update dev_loss_tmo to 2147483647
Nov 26 16:17:25 | mpatha: assembled map [1 queue_if_no_path 0 2 1 service-time 0 2 1 8:0 1 8:32 1 service-time 0 2 1 8:16 1 8:48 1]
Nov 26 16:17:25 | mpatha: set ACT_CREATE (map does not exist)
Nov 26 16:17:25 | mpatha: domap (0) failure for create/reload map
Nov 26 16:17:25 | mpatha: ignoring map
Nov 26 16:17:25 | tur checker refcount 4
Nov 26 16:17:25 | tur checker refcount 3
Nov 26 16:17:25 | tur checker refcount 2
Nov 26 16:17:25 | tur checker refcount 1
Nov 26 16:17:25 | unloading alua prioritizer
Nov 26 16:17:25 | unloading const prioritizer
Nov 26 16:17:25 | unloading tur checker
Nov 26 16:17:25 | unloading directio checker
[anaconda root@riley6 ~]# ls /dev/mapper/
control  fedora_riley6-root  fedora_riley6-swap  live-rw
Comment 6 Mark Hamzy 2012-11-26 11:51:07 EST
[anaconda root@riley6 ~]# pvs
  PV         VG            Fmt  Attr PSize  PFree
  /dev/sda3  fedora_riley6 lvm2 a--  14.50g    0

<bmarzins> Do you know if any of those paths are in use?  That might cause the problem.
<hamzy> I don't think so
<hamzy> [anaconda root@riley6 ~]# ls /dev/mapper/
<hamzy> control  fedora_riley6-root  fedora_riley6-swap  live-rw
<bmarzins> could they be already mounted?
<hamzy> could the multipath devices already be mounted?
<bmarzins> could you run
<bmarzins> pvs
<hamzy> [anaconda root@riley6 ~]# pvs
<hamzy>   PV         VG            Fmt  Attr PSize  PFree
<hamzy>   /dev/sda3  fedora_riley6 lvm2 a--  14.50g    0 
<bmarzins> no. the device that multipath is trying to use as path devices.
<bmarzins> so, sda is already in use
<hamzy> ah
<bmarzins> multipath is able to take over a device that is already in use by device-mapper, but only if it's an entire device. Not a partition like this.
Comment 7 David Lehman 2012-11-29 12:46:37 EST
Something has changed yet again and lvm devices are being started automatically in spite of efforts by anaconda and lorax to prevent the same.

In this case, it is starting lvm on one path of a multipath, which then prevents anaconda from activating that multipath.
Comment 8 Adam Williamson 2012-11-29 12:59:16 EST
Discussed at 2012-11-29 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-11-29/f18final-blocker-review-1.1.2012-11-29-17.01.log.txt . As we understand it the bug here is that anaconda will fail to initialize if an LVM-on-multipath device is present on the system. This is accepted as a blocker per Alpha criterion "The installer must boot (if appropriate) and run on all primary architectures, with all system firmware types that are common on those architectures, from default live image, DVD, and boot.iso install media when written to an optical disc and when written to a USB stick with at least one of the officially supported methods", in the case of an LVM-on-multipath device being present, which we consider important enough to block for. We may waive this status if any workaround appears, as we consider multipath users capable of reading and applying workarounds, but right now it appears to be an unavoidable showstopper.
Comment 9 David Lehman 2012-12-05 13:14:12 EST
I think the lvm metad udev rules need to check that partitions are not part of a multipath before running pvscan on them.

The real problem here seems to be that 62-multipath.rules are a) running and b) calling kpartx with '-p p', which parted cannot handle and therefore cannot be done during OS installation.

A duct-tape fix for now would be to remove the multipath udev rules in lorax. Longer-term, the multipath udev rules should use default upstream behavior of kpartx.
Comment 10 Mark Hamzy 2012-12-05 14:14:10 EST
This has been tested on http://ppc.koji.fedoraproject.org/stage/f18-20121204.n/ppc64/iso/Fedora-18-ppc64-netinst.iso with the same failure.

This iso uses lvm2-2.02.98-3.fc18.ppc64 so the new lvm is not fixing the problem.
Comment 11 David Cantrell 2012-12-05 14:44:43 EST
*** Bug 883736 has been marked as a duplicate of this bug. ***
Comment 12 Fedora Update System 2012-12-05 20:42:07 EST
lorax-18.23-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lorax-18.23-1.fc18
Comment 13 Fedora Update System 2012-12-06 15:16:41 EST
Package lorax-18.23-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lorax-18.23-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19867/lorax-18.23-1.fc18
then log in and leave karma (feedback).
Comment 14 Chris Lumens 2012-12-10 10:33:35 EST
*** Bug 883736 has been marked as a duplicate of this bug. ***
Comment 15 Adam Williamson 2012-12-13 19:32:09 EST
TC2 is being built with new lvm2 and with new lorax, so please try that (or do an equiv. ppc64 build and try that). thanks!
Comment 16 Fedora Update System 2012-12-14 20:23:09 EST
lorax-18.24-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lorax-18.24-1.fc18
Comment 17 Fedora Update System 2012-12-20 00:32:23 EST
lorax-18.24-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.